java.lang.UnsupportedClassVersionError: Bad versio

就是在main函数中在引用jxl.jar包 测试读取EXCEL内容时报错(jdk是1.5,jxl.jar版本是_2_6_9),具体错误信息:
java.lang.UnsupportedClassVersionError: Bad version number in .class file
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:268)
at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
Exception in thread "main"
不知道是什么版本错误,找了半天没找出是哪个地方的错,请各位大侠给看下,谢谢 !

[b]问题补充:[/b]
谢谢您的关注,是在Myeclipse下运行的,可是我的jdk版本是1.5,用的时Myeclipse6.0
这样会有问题吗?

3个回答

本机装了两个JDK,JDK版本不同间的冲突
建议楼主看下这个

[url]http://blog.csdn.net/shendl/archive/2006/08/11/1050611.aspx[/url]

你这个应该是在MyEclipse里出现的问题吧
原因是JDK的版本不同
你看一下编译文件用的JDK和你MyEclipse的版本是不是相同

class文件是用高版本的JDK编译生成的,你用低版本的JVM加载就会爆这个错误

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问